Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Catalog_Member Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Catalog_Member:

[legend]
Collaboration diagram for TAO_PSDL_Catalog_Member:

[legend]
List of all members.

## Public Methods

| TAO_PSDL_Catalog_Member (TAO_PSDL_Node *declaration)
| ****************************************************************
virtual | ~TAO_PSDL_Catalog_Member (void)
TAO_PSDL_Node * | declaration (void) const
| Get the value.
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.

## Private Attributes

TAO_PSDL_Node * | declaration_
| The values.

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Catalog_Member::TAO_PSDL_Catalog_Member | ( | TAO_PSDL_Node * | declaration | ) |

| ****************************************************************

TAO_PSDL_Catalog_Member::~TAO_PSDL_Catalog_Member | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Catalog_Member::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Catalog_Member::declaration | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Catalog_Member::declaration_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp